Dadu042 |
Thursday 24 September 2020 at 18:42 |
Dadu042
|
Information
This update has been approved by the team.
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 | @@ -1,16 +1,16 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
# Last revision : see changelog
-# Wine version used : 1.7.10 - 1.7.29
-# Distribution used to test : Fedora 20 - 64 bits
+# Wine version used : see changelog
+# Distribution used to test : Xubuntu 18.04 64 bits
# Author : Tutul
# License : GNU/GPL v3
# CHANGELOG
# [Tutul] (2014-10-28 14:30)
-# Initial script.
+# Initial script. Wine 1.7.10
# [Tutul] (2014-11-20 16:37)
-# ?
+# ?. Wine 1.7.29, Fedora 20 - 64 bits
# [Dadu042] (2020-01-15 22:50)
# Wine 1.7.29 -> 2.22, because outdated.
# [Dadu042] (2020-09-24 16:00)
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "3.0.3"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_d3dx9
POL_Call POL_Install_d3dcompiler_43
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Call POL_Function_OverrideDLL native, builtin msvcr110
POL_Call POL_Function_OverrideDLL native msvcr120
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
Saturday 3 October 2020 at 15:26
Note: game seems to also work with Wine 4.0.4
|
Dadu042 |
Thursday 24 September 2020 at 17:22 |
Dadu042
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 | @@ -5,7 +5,7 @@
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
-
+
# CHANGELOG
# [Tutul] (2014-10-28 14:30)
# Initial script.
@@ -13,14 +13,16 @@
# ?
# [Dadu042] (2020-01-15 22:50)
# Wine 1.7.29 -> 2.22, because outdated.
-
-
+# [Dadu042] (2020-09-24 16:00)
+# Download feature: MD5 checksum updated.
+# Wine 2.22 -> 3.0.3 (tested: installer).
+
## Beta script ##
-# TODO (2014) : correct crash when loading acount for the second time
-
+# TODO (2014) : correct the crash when loading acount for the second time.
+
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
-
+
TITLE="Rift"
PREFIX="Rift"
EDITOR="Trion Worlds"
@@ -28,56 +30,56 @@
AUTHOR="Tutul"
GAME_VMS="256"
STEAM_ID="39120"
-
+
# Starting the script
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
-
+
# Starting debugging API
POL_Debug_Init
-
+
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-
+
# Setting Wine Version
-WORKING_WINE_VERSION="2.22"
-
+WORKING_WINE_VERSION="3.0.3"
+
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
-
+
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
-
+
# Create TMP directory
POL_System_TmpCreate "$PREFIX"
-
+
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
-
+
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
-
+
# Install mandatory dependencies
POL_Call POL_Install_d3dx9
POL_Call POL_Install_d3dcompiler_43
POL_Call POL_Install_corefonts # Fix password field font
POL_Call POL_Install_xact
-
+
# Fix Installer crash
Set_OS "winxp"
-
+
# Choose between Downloading client or using local one or STEAM version
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
-
+
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
- # Donwloading client
+ # Downloading client
cd "$POL_System_TmpDir"
SETUP_EXE="GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
- # Asking for client exe
+ # Asking for client exe file
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE="$APP_ANSWER"
@@ -85,11 +87,11 @@
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
-
-# Fix Glyph launch crash
+
+# Fix Glyph launch crash (2014)
POL_Call POL_Function_OverrideDLL native,builtin msvcr110
POL_Call POL_Function_OverrideDLL native msvcr120
-
+
# Run the install
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
@@ -100,27 +102,27 @@
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
-
+
# Fix Graphic bugs
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
-
+
# Fix intro bug
POL_Call POL_Function_OverrideDLL builtin,native d3dx9_43
-
+
# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
-
+
# Deleting temp files
POL_System_TmpDelete
-
+
# Closing POL
POL_SetupWindow_Close
exit 0
\ No newline at end of file
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "3.0.3"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_d3dx9
POL_Call POL_Install_d3dcompiler_43
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Call POL_Function_OverrideDLL native, builtin msvcr110
POL_Call POL_Function_OverrideDLL native msvcr120
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
|
Dadu042 |
Thursday 16 January 2020 at 0:01 |
Dadu042
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 | @@ -1,13 +1,22 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-11-20 16:37)
+# Last revision : see changelog
# Wine version used : 1.7.10 - 1.7.29
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
-
+
+# CHANGELOG
+# [Tutul] (2014-10-28 14:30)
+# Initial script.
+# [Tutul] (2014-11-20 16:37)
+# ?
+# [Dadu042] (2020-01-15 22:50)
+# Wine 1.7.29 -> 2.22, because outdated.
+
+
## Beta script ##
-# TODO : correct crash when loading acount for the second time
+# TODO (2014) : correct crash when loading acount for the second time
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
@@ -31,7 +40,7 @@
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
# Setting Wine Version
-WORKING_WINE_VERSION="1.7.29"
+WORKING_WINE_VERSION="2.22"
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
@@ -112,6 +121,6 @@
# Deleting temp files
POL_System_TmpDelete
-#Closing POL
+# Closing POL
POL_SetupWindow_Close
exit 0
\ No newline at end of file
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "2.22"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_d3dx9
POL_Call POL_Install_d3dcompiler_43
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Call POL_Function_OverrideDLL native, builtin msvcr110
POL_Call POL_Function_OverrideDLL native msvcr120
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
|
terryc |
Tuesday 22 December 2015 at 0:34 |
terryc
|
Message
Can anyone give me an idea of why this non start error suddenly occurs?
This is my sixth fresh complete reinstall of Rift from the scrip, and they all end up with this non- start situation.[Code]
[12/22/15 10:29:51] - Running wine-1.7.44 GlyphClient.exe (Working directory : /home/terryc/.PlayOnLinux/wineprefix/Rift/drive_c/Program Files/Glyph)
fixme:heap:RtlSetHeapInformation 0x27c0000 0 0x33fcc4 4 stub
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:advapi:RegisterTraceGuidsW (0xf75417, (nil), {f7b697a3-4db5-4d3b-be71-c4d284e6592f}, 7, 0xfcbc8c, (null), (null), 0xfccc90): stub
fixme:advapi:RegisterTraceGuidsW register trace class {72b14a7d-704c-423e-92f8-7e6d64bcb92a}
fixme:advapi:RegisterTraceGuidsW register trace class {e2091f8a-1e0a-4731-84a2-0dd57c8a5261}
fixme:advapi:RegisterTraceGuidsW register trace class {e8a3bf1f-a86b-4390-9c60-5390b969d22c}
fixme:advapi:RegisterTraceGuidsW register trace class {5727a00f-50be-4519-8256-f7699871fecb}
fixme:advapi:RegisterTraceGuidsW register trace class {7e854ec7-cdc4-405a-b5b2-aaf7c9e7d40c}
fixme:advapi:RegisterTraceGuidsW register trace class {79a60dc6-5fc8-4952-a41c-1163aeec5eb8}
fixme:advapi:RegisterTraceGuidsW register trace class {2718d25b-5bf5-4479-8e88-babc64bdbfca}
fixme:process:GetNumaHighestNodeNumber (0x33fbfc): semi-stub
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0x33fdbc 63 ) semi-stub
fixme:msvcp:locale__Locimp__Makexloc (0x33fdbc 63 0x159f18 (nil)) semi-stub
fixme:msvcp:time_get_char_ctor_locinfo (0x15ba88 0x33fdbc 0) stub
fixme:msvcp:locale__Locimp__Makewloc (0x33fdbc 63 0x159f18 (nil)) semi-stub
fixme:msvcp:locale__Locimp__Makeushloc (0x33fdbc 63 0x159f18 (nil)) semi-stub
fixme:system:SetProcessDPIAware stub!
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:ver:GetCurrentPackageId (0x33cf7c (nil)): stub
fixme:toolhelp:CreateToolhelp32Snapshot Unimplemented: heap list snapshot
fixme:toolhelp:Heap32ListFirst : stub
fixme:font:RemoveFontMemResourceEx (0x8588b649) stub
fixme:process:GetSystemFirmwareTable (1094930505 1413567059 0x33cf14 36):stub
fixme:process:GetSystemFirmwareTable (1094930505 1128878145 0x33cf14 36):stub
fixme:msvcp:_Mtx_init unknown flags ignorred: 102
fixme:font:RemoveFontMemResourceEx (0x846dac09) stub
GlyphClient::LoadFile error: No such file or directory GlyphClient.xml
GlyphClient::LoadFile error: No such file or directory GlyphClientLocal.xml
GlyphClient::LoadFile error: No such file or directory ./Library/GlyphLibraryLocal.xml
{/code]
Replies
Wednesday 23 December 2015 at 4:08
The work around was to choose another later version of Pol and the game plays, but now I'm bak to chasing flashing and P window being unusable. It was following some of the suggestion earlier in the thread to fix this that I think caused my above post. TIA.
|
Mel7 |
Monday 21 September 2015 at 16:27 |
Mel7
|
Message
Bonjour,
Le lien sur le bouton "Install this program" ne fonctionne pas. Comment procéder pour installer Rift avec le code source svp ?
Merci d'avance.
*************************
(Google traduction)
Hello,
The link on the "Install this program" button not working. How to install Rift with source code please?
Thank you in advance.
Replies
Monday 21 September 2015 at 23:26
Bonsoir, si tu veux juste installer un programme avec son script "validé", utilises le bouton "Installer" dans PlayOnLinux puis cherche le nom du programme, c'est exactement la même chose. Pour faire fonctionner les boutons "Install this program" du site web et éventuellement essayer des scripts non validés, il faut faire reconnaître les URLs "playonlinux://" par ton navigateur, et que cela lance automatiquement playonlinux-url_handler, ce qui est un peu plus compliqué (et dépend du navigateur). Il y a quelques infos dans le forum il me semble. Mais à nouveau ce n'est strictement nécessaire que pour tester les scripts alternatifs.
Wednesday 23 September 2015 at 12:15
Installation de Rift dans PlayOnLinux comme indiqué par petch. Crash du jeu lors de la sélection du personnage...
Friday 25 September 2015 at 21:09
Pas de solution ?
Saturday 26 September 2015 at 7:30
Pas d'infos surtout
Edited by Tinou
|
terryc |
Monday 27 July 2015 at 13:56 |
terryc
|
Message
For most of July(I've tried it a few times], the installation fails on a checksum of the downloaded installation files for Glyph. Probably the installation file has been changed in a recent upgrade.
Replies
Wednesday 29 July 2015 at 5:03
Ignoring the MD5 checksum error and continuing on actually installs glyph and the you can select Rift and download it, then start it.
Wednesday 29 July 2015 at 5:04
This script will not fix problems resulting from an upgrade, so you need to move the old rift aside and do a fresh install.
Wednesday 29 July 2015 at 5:05
Currently screen goes beserk with "planes" and a bit of flashing, plus I have the amd driver warning, despite having the latest amd driver. More investigation.
Wednesday 9 September 2015 at 2:13
Is now almost a perfect install. I've just finished a complete re-install and the only problems observed were;
Wednesday 9 September 2015 at 2:15
aargh, cont'd.A) The checksum on the download of the glyph installer is "
wrong"
Wednesday 9 September 2015 at 2:16
a) con'td. This can be overcome by just carrying on.
Wednesday 9 September 2015 at 2:17
b) The installer places an empty Glyph icon on desktop(links to nothing), and
Wednesday 9 September 2015 at 2:20
C) Warning I always have trouble with authentication checksum for new login not being recongised until I completely finish the install and close that down. Then re-launching the game and only then does TG Rift recognise the new authentication code. This of course isn't a problem with the Rift install script, but just an alert for people.
Wednesday 9 September 2015 at 2:22
Finally(I keep pressing return and comments takes it as an enter) I actually saw the latest(first) intro video today with my AMD Catalyst driver. In the past, it was a black screen, so if some new library has been added, then perhaps this is the reason.
Wednesday 9 September 2015 at 12:14
hi sorry for the long time without update. I will check it today, hope to correct some problem
Saturday 12 September 2015 at 4:16
Just checking to see has anyone got this working again on Mac? I still get crashes at the loading screen
Saturday 19 September 2015 at 7:45
Version related. It worked frst time on script, but hubg on loading each time after. Eventually swap PoL versions to 1.7.44 and it loads and "works". Caveat performance as I've just lost fingers to really hammer it anymore, but I could interact with npc, zone and hammer a few beasties.
Saturday 24 October 2015 at 15:14
Update on above; frankly I'm finding Trion Games & Rift a mmajor PitA. If I don't play it daily, it refuses to start and I have to change config in some way (Usually PoL version), which causes it to go and download a glyph update and then "re-install" stuff. Thankfully it checks and just loads and update taking hours. not playable until finished.. I have never been able to start the game from the glyphclient link. Mercifully, the starting stuff usually works, even if it seem to hang on 22% or such. It has been a while since I've had to kill rift.exe remotely to regin control of my system.
Thursday 19 November 2015 at 4:42
Oh well, I'm back to a complete re-install. I've been playing it regularly since last post on 24th October with minor update and no problems until yesterday, when the glyph part just refusted to start. debug shows "missing files" for some reason. Just FYI.
|
Treki26 |
Wednesday 15 July 2015 at 23:21 |
Treki26
|
Message
The game works well all the way up untill actual gameplay for me. Once the intro cutsene ends the screen starts flickering between the final frame of the cutscene and the starting zone. I can move my charceter around and open menus but the flickering is making the game unplayable.
Replies
Thursday 16 July 2015 at 0:45
Can you please post your full computer specs and debug logs? We are just guessing without that information.
http://wiki.playonlinux.com/index.php/How_to_Post_in_the_Forums
|
ravery |
Wednesday 8 July 2015 at 5:32 |
ravery
|
Message
I would get random lock ups with new udates to Rift. So manually installed following your script, except I used wine ver 1.7.44 and added these additionall dlls as native msvcr120, msvcp110, and msvcp120.
I also had to add registry key ==> HKEY_CURRENT_USER > Software > Wine > Direct3D > CSMT enabled
to fix objects blinking black.
it runs perfectly, can even play while it loads.
-----------------------------------------------------------
Toshiba Satallite C55 series. Celeron dual core, intell graphics, 4G RAM
Dual boot win8.1/kubuntu 14.10 in UEFI secure boot mode.
Replies
|
petch |
Sunday 19 April 2015 at 22:06 |
petch
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
Set msvcr120 override to native
Install d3dcompiler_43
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 | @@ -51,6 +51,7 @@
# Install mandatory dependencies
POL_Call POL_Install_d3dx9
+POL_Call POL_Install_d3dcompiler_43
POL_Call POL_Install_corefonts # Fix password field font
POL_Call POL_Install_xact
@@ -78,6 +79,7 @@
# Fix Glyph launch crash
POL_Call POL_Function_OverrideDLL native,builtin msvcr110
+POL_Call POL_Function_OverrideDLL native msvcr120
# Run the install
POL_Wine_WaitBefore "$TITLE"
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.29"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_d3dx9
POL_Call POL_Install_d3dcompiler_43
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Call POL_Function_OverrideDLL native, builtin msvcr110
POL_Call POL_Function_OverrideDLL native msvcr120
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
Saturday 9 May 2015 at 2:14
Add: d3dcompiler_43 how to fix crash in screen to create person.
Saturday 9 May 2015 at 2:15
For error trash screen "selection authentication accpted", see: http://www.mameau.com/workaround-for-the-rift-123-selection-authentication-accepted-crash/
Saturday 9 May 2015 at 2:15
PS: Sorry my bad english, but I speak portuguese only.
Saturday 9 May 2015 at 12:28
I updated the script to install d3dcompiler_43
Edited by petch
|
jeromerobert |
Sunday 19 April 2015 at 20:32 |
jeromerobert
|
Message
Since 3.2, msvcr120 must be set as native to avoid a crash when clicking on any player face. msvcr120 is already included with Rift.
Replies
|
petch |
Sunday 19 April 2015 at 18:52 |
petch
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
Differences
1 2 3 4 5 6 7 8 | @@ -52,6 +52,7 @@
# Install mandatory dependencies
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts # Fix password field font
+POL_Call POL_Install_xact
# Fix Installer crash
Set_OS "winxp"
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.29"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Call POL_Function_OverrideDLL native, builtin msvcr110
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
|
jeromerobert |
Sunday 19 April 2015 at 18:40 |
jeromerobert
|
|
Achariel |
Monday 23 February 2015 at 22:34 |
Achariel
|
Message
Bonjour,
Problème j'ai une Ubuntu 14.0.4 et quand j'install rift il fige des que le jeu se lance.
Je peux faire la mise à jour et glyph se lance sans problème.
Replies
|
Olies |
Sunday 18 January 2015 at 15:46 |
Olies
|
Message
J'ai voulu lancer le jeu sur mon Mac Book Pro qui tourne sous Yosemite
Le jeu semble cracher dès que le chargement atteind "Selection de l'authentificatin accepté".
Ce qui est dommage car le reste semble plutôt bien marché, de même, la vidéo d'introduction tournait impeccablement mais maintenant en écran noir avec juste le son.
Replies
|
Raiderwolf |
Thursday 18 December 2014 at 3:55 |
Raiderwolf
|
Message
Well, I spoke too soon. It was working, but now it hangs during loading the game.
Replies
|
Raiderwolf |
Thursday 18 December 2014 at 3:09 |
Raiderwolf
|
Message
I would not say it runs well. It runs, but my main concern is it is very choppy. However, it was having problems at launch where was hanging. But obviously due to Tutul's hard work has made Glyph/Rift runnable. However, his derogatory and disrepectful avatar against Jesus violates your Terms of Use as being at the minimum a violation of "You must respect basic rules of politeness." If he wants to demean Jesus, which is what his avatar does, is this the place for it?
Replies
|
Tutul |
Thursday 20 November 2014 at 16:57 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
The game can run normally if you set it on low graphic (checkbox in graphic settings). Test on Steam version and no-STeam version.
- Fix Glyph launch crash (Glyph update use msvcr110.dll now)
- Fix new MD5 for installer
- Test smaller script without POL_Call POL_Install_vcrun2008 and POL_Call POL_Install_vcrun2005 (not used anymore)
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 | @@ -1,6 +1,6 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-11-09 21:30)
+# Last revision : (2014-11-20 16:37)
# Wine version used : 1.7.10 - 1.7.29
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
@@ -50,8 +50,6 @@
POL_Wine_SetVideoDriver
# Install mandatory dependencies
-POL_Call POL_Install_vcrun2005
-POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts # Fix password field font
@@ -63,28 +61,31 @@
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
- # Donwloading client
- cd "$POL_System_TmpDir"
- SETUP_EXE="GlyphInstall-0-1.exe"
+ # Donwloading client
+ cd "$POL_System_TmpDir"
+ SETUP_EXE="GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
- # Asking for client exe
- cd "$HOME"
- POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
- SETUP_EXE="$APP_ANSWER"
+ # Asking for client exe
+ cd "$HOME"
+ POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+ SETUP_EXE="$APP_ANSWER"
else
- POL_Call POL_Install_steam
- POL_Call POL_Install_steam_flags "$STEAM_ID"
+ POL_Call POL_Install_steam
+ POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
-
+
+# Fix Glyph launch crash
+POL_Call POL_Function_OverrideDLL native,builtin msvcr110
+
# Run the install
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
- POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
- cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+ POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
+ cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
else
- POL_Wine $SETUP_EXE
+ POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
@@ -97,12 +98,12 @@
# Fix intro bug
POL_Call POL_Function_OverrideDLL builtin,native d3dx9_43
-
+
# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
- POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
+ POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
# Deleting temp files
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.29"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Call POL_Function_OverrideDLL native, builtin msvcr110
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
Edited by Tutul
|
Tutul |
Sunday 9 November 2014 at 21:29 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
Add image and fix intro crash
-------------------------------
Other problem, see below
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 | @@ -1,13 +1,12 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-11-04 11:23)
+# Last revision : (2014-11-09 21:30)
# Wine version used : 1.7.10 - 1.7.29
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
## Beta script ##
-# TODO : correct crash in intro
# TODO : correct crash when loading acount for the second time
[ "$PLAYONLINUX" = "" ] && exit 1
@@ -22,7 +21,7 @@
STEAM_ID="39120"
# Starting the script
-#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
@@ -95,6 +94,9 @@
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
+
+# Fix intro bug
+POL_Call POL_Function_OverrideDLL builtin,native d3dx9_43
# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM" ]; then
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.29"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
|
Tutul |
Saturday 8 November 2014 at 9:46 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
- Fix intro bug and crash
- The game freeze less often
--------------------------------
- The game may crash during charactere loading. Two solutions :
-> Restart, after a few restart, the game may start correctly
-> Delete "$WINEPREFIX/Rift/drive_c/users/$USER/Application Data/RIFT/*" (working on it)
($WINEPREFIX is the "wineprefix" directory in the PlayOnLinux/PlayOnMac directory)
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 | @@ -1,13 +1,12 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-11-04 11:23)
-# Wine version used : 1.7.10 - 1.7.29
+# Last revision : (2014-11-08 15:43)
+# Wine version used : 1.7.10 - 1.7.29 - 1.7.18
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
## Beta script ##
-# TODO : correct crash in intro
# TODO : correct crash when loading acount for the second time
[ "$PLAYONLINUX" = "" ] && exit 1
@@ -32,7 +31,7 @@
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
# Setting Wine Version
-WORKING_WINE_VERSION="1.7.29"
+WORKING_WINE_VERSION="1.7.18"
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
@@ -95,6 +94,9 @@
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
+
+# Fix intro bug
+POL_Call POL_Function_OverrideDLL builtin,native d3dx9_43
# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM" ]; then
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.18"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
POL_Call POL_Function_OverrideDLL builtin ,native d3dx9_43
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
Edited by Tutul
|
Tutul |
Tuesday 4 November 2014 at 11:23 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
- Fix graphic bugs (with wine3D registry key)
- Testing in-game but a bit slower
-----------------------------------------------
- Intro won't work (sound ok but no video) and still may cause freeze
- Game may crash during launch (after first launch). The only solution until now is to delete "$POL/wineprefix/Rift/drive_c/users/$USER/Application Data/RIFT/rift.cfg" (working on it)
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 | @@ -1,6 +1,6 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-11-03 21:05)
+# Last revision : (2014-11-04 11:23)
# Wine version used : 1.7.10 - 1.7.29
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
@@ -9,7 +9,6 @@
## Beta script ##
# TODO : correct crash in intro
# TODO : correct crash when loading acount for the second time
-# TODO : test in-game
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
@@ -89,6 +88,13 @@
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
+
+# Fix Graphic bugs
+POL_Wine_Direct3D "UseGLSL" "enabled"
+POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
+POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
+POL_Wine_Direct3D "Multisampling" "disabled"
+POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM" ]; then
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.29"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
|
Tutul |
Monday 3 November 2014 at 21:35 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
- New wine version : 1.7.29 (A little more stable)
- Fix password field font (Glyph update)
- Rewrite of the script (smaller size)
- Add warning about Glyph self update (steam version)
Working on graphic test correction ^^
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 | @@ -1,19 +1,19 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-10-28 15:20)
-# Wine version used : 1.7.10
+# Last revision : (2014-11-03 21:05)
+# Wine version used : 1.7.10 - 1.7.29
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
-
+
## Beta script ##
# TODO : correct crash in intro
# TODO : correct crash when loading acount for the second time
# TODO : test in-game
-
+
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
-
+
TITLE="Rift"
PREFIX="Rift"
EDITOR="Trion Worlds"
@@ -21,87 +21,85 @@
AUTHOR="Tutul"
GAME_VMS="256"
STEAM_ID="39120"
-
+
# Starting the script
#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
-
+
# Starting debugging API
POL_Debug_Init
-
+
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-
+
# Setting Wine Version
-WORKING_WINE_VERSION="1.7.10"
-
+WORKING_WINE_VERSION="1.7.29"
+
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
-
+
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
-
+
+# Create TMP directory
+POL_System_TmpCreate "$PREFIX"
+
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+
+# Install mandatory dependencies
+POL_Call POL_Install_vcrun2005
+POL_Call POL_Install_vcrun2008
+POL_Call POL_Install_d3dx9
+POL_Call POL_Install_corefonts # Fix password field font
+
# Fix Installer crash
Set_OS "winxp"
-
+
# Choose between Downloading client or using local one or STEAM version
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
-
+
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
# Donwloading client
- POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
- POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
SETUP_EXE="GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
# Asking for client exe
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE="$APP_ANSWER"
-fi
-
-# Asking about memory size of graphic card
-POL_SetupWindow_VMS $GAME_VMS
-
-# Set Graphic Card information keys for wine
-POL_Wine_SetVideoDriver
-
-# Install mandatory dependencies
-POL_Call POL_Install_vcrun2005
-POL_Call POL_Install_vcrun2008
-POL_Call POL_Install_d3dx9
-
-# Steam and mandatory pre-install fix for steam
-if [ "$INSTALL_METHOD" == "STEAM" ]; then
+else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
-
+
# Run the install
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
+ POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
-
+
# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
- POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" ""
-fi
-
-#Deleting temp files
-if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
- POL_System_TmpDelete
+ POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
-
+
+# Deleting temp files
+POL_System_TmpDelete
+
#Closing POL
POL_SetupWindow_Close
exit 0
\ No newline at end of file
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.29"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_System_TmpCreate "$PREFIX"
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
else
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_SetupWindow_message "$(eval_gettext 'The launcher can still self update after installation')" "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
|
Tutul |
Thursday 30 October 2014 at 12:27 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
Add MD5 checksum for POL_Download + Enventualy prevent crash of the installer by setting wine in xp mod (move after installing mandatory dependencies)
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 | @@ -1,6 +1,6 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-10-28 15:20)
+# Last revision : (2014-10-30 12:20)
# Wine version used : 1.7.10
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
@@ -42,9 +42,6 @@
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
-# Fix Installer crash
-Set_OS "winxp"
-
# Choose between Downloading client or using local one or STEAM version
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
@@ -54,7 +51,7 @@
POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
SETUP_EXE="GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
# Asking for client exe
@@ -74,6 +71,9 @@
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
+# Fix Installer crash
+Set_OS "winxp"
+
# Steam and mandatory pre-install fix for steam
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_Call POL_Install_steam
@@ -92,12 +92,12 @@
# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
- POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" ""
+ POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
-#Deleting temp files
+# Deleting temp files
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
POL_System_TmpDelete
fi
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.10"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
fi
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
Set_OS "winxp"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
POL_System_TmpDelete
fi
POL_SetupWindow_Close
exit 0
|
Replies
|
Tutul |
Tuesday 28 October 2014 at 15:26 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
Add steam version (not tested so not validate)
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 | @@ -1,13 +1,12 @@
#!/bin/bash
# Date : (2014-10-28 14:30)
-# Last revision : (2014-10-28 14:30)
+# Last revision : (2014-10-28 15:20)
# Wine version used : 1.7.10
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
## Beta script ##
-# TODO : steam version
# TODO : correct crash in intro
# TODO : correct crash when loading acount for the second time
# TODO : test in-game
@@ -21,6 +20,7 @@
AUTHOR="Tutul"
GAME_VMS="256"
+STEAM_ID="39120"
# Starting the script
#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
@@ -45,8 +45,8 @@
# Fix Installer crash
Set_OS "winxp"
-# Choose between Downloading client or using local one
-POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
+# Choose between Downloading client or using local one or STEAM version
+POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
@@ -56,7 +56,7 @@
cd "$POL_System_TmpDir"
SETUP_EXE="GlyphInstall-0-1.exe"
-else
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
# Asking for client exe
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
@@ -73,17 +73,34 @@
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
+
+# Steam and mandatory pre-install fix for steam
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+ POL_Call POL_Install_steam
+ POL_Call POL_Install_steam_flags "$STEAM_ID"
+fi
# Run the install
POL_Wine_WaitBefore "$TITLE"
-POL_Wine $SETUP_EXE
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+ cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+else
+ POL_Wine $SETUP_EXE
+fi
POL_Wine_WaitExit "$TITLE"
# Making shortcut
-POL_Shortcut "GlyphClient.exe" "$TITLE" "" ""
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+else
+ POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" ""
+fi
#Deleting temp files
-POL_System_TmpDelete
+if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
+ POL_System_TmpDelete
+fi
#Closing POL
POL_SetupWindow_Close
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
STEAM_ID= "39120"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.10"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
Set_OS "winxp"
POL_SetupWindow_InstallMethod "STEAM,DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
fi
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
if [ "$INSTALL_METHOD" == "STEAM" ]; then
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
fi
POL_Wine_WaitBefore "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam: //install/ $STEAM_ID
else
POL_Wine $SETUP_EXE
fi
POL_Wine_WaitExit "$TITLE"
if [ "$INSTALL_METHOD" == "STEAM" ]; then
else
POL_Shortcut "GlyphClient.exe" "$TITLE" "$TITLE.png" ""
fi
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
POL_System_TmpDelete
fi
POL_SetupWindow_Close
exit 0
|
Replies
Wednesday 29 October 2014 at 17:05
Steam version work better. Crash if we pass the intro but you can change setting, play in the game. Some Graphic problem but can't determine if is it my option, card or wine compatibility. Standard version not working so well (may fix that with an other wine version but I need to test)
|
Tutul |
Tuesday 28 October 2014 at 14:47 |
Tutul
|
Warning
This update has not been approved yet by the team. Use it at your own risk
Message
First upload of the installation script
- Intro not working and may cause freeze
- You can connect, select a charactere, change setting, etc...
- Second conenction may crash. The only solution until now is to delete "$POL/wineprefix/Rift/drive_c/users/$USER/Application Data/RIFT/rift.cfg" (working on it)
- Steam version comming soon
- Not tested in game (more than 1 minute)
Differences
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 | @@ -0,0 +1,90 @@
+#!/bin/bash
+# Date : (2014-10-28 14:30)
+# Last revision : (2014-10-28 14:30)
+# Wine version used : 1.7.10
+# Distribution used to test : Fedora 20 - 64 bits
+# Author : Tutul
+# License : GNU/GPL v3
+
+## Beta script ##
+# TODO : steam version
+# TODO : correct crash in intro
+# TODO : correct crash when loading acount for the second time
+# TODO : test in-game
+
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+
+TITLE="Rift"
+PREFIX="Rift"
+EDITOR="Trion Worlds"
+AUTHOR="Tutul"
+GAME_VMS="256"
+
+# Starting the script
+#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 2323
+
+# Starting debugging API
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+
+# Setting Wine Version
+WORKING_WINE_VERSION="1.7.10"
+
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+
+# Fix Installer crash
+Set_OS "winxp"
+
+# Choose between Downloading client or using local one
+POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
+
+# Downloading client or choosing existing one
+if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
+ # Donwloading client
+ POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
+ POL_System_TmpCreate "$PREFIX"
+ cd "$POL_System_TmpDir"
+ SETUP_EXE="GlyphInstall-0-1.exe"
+else
+ # Asking for client exe
+ cd "$HOME"
+ POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+ SETUP_EXE="$APP_ANSWER"
+fi
+
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+
+# Install mandatory dependencies
+POL_Call POL_Install_vcrun2005
+POL_Call POL_Install_vcrun2008
+POL_Call POL_Install_d3dx9
+
+# Run the install
+POL_Wine_WaitBefore "$TITLE"
+POL_Wine $SETUP_EXE
+POL_Wine_WaitExit "$TITLE"
+
+# Making shortcut
+POL_Shortcut "GlyphClient.exe" "$TITLE" "" ""
+
+#Deleting temp files
+POL_System_TmpDelete
+
+#Closing POL
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file
|
New source code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 | #!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
TITLE= "Rift"
PREFIX= "Rift"
EDITOR= "Trion Worlds"
AUTHOR= "Tutul"
GAME_VMS= "256"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2323
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
WORKING_WINE_VERSION= "1.7.10"
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
Set_OS "winxp"
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
SETUP_EXE= "GlyphInstall-0-1.exe"
else
cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
SETUP_EXE= "$APP_ANSWER"
fi
POL_SetupWindow_VMS $GAME_VMS
POL_Wine_SetVideoDriver
POL_Call POL_Install_vcrun2005
POL_Call POL_Install_vcrun2008
POL_Call POL_Install_d3dx9
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
POL_Shortcut "GlyphClient.exe" "$TITLE" "" ""
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
|
Replies
Monday 3 November 2014 at 22:02
Hello. Thanks for your work. Except for the addressed error according to "$POL/wineprefix/Rift/drive_c/users/$USER/Application Data/RIFT/rift.cfg", everything looks good on my machine (arch linux 64, nvidia)
|